//////////////////↓環境に合わせて変更するパラメーター///////////////////////////////////

//色分け判定に使用する項目のID
let inputID = "col_id_10162";

//背景色を変更する条件①
let  condition1 = 5;

//背景色を変更するクレーム数②
let  condition2 = 2;

//条件①で変更する背景色
let  bgColor1 = "#ffe5e5";

//条件②で変更する背景色
let  bgColor2 = "#ffffe5";

//////////////////↑環境に合わせて変更するパラメータ/////////////////////////////////////

$(document).ready(function(){

	//色分け判定に使用する項目のリスト表示数を取得
	let tdCount = $("td" + "." + inputID).length;
	
	//案件リストの各行のHTML要素を取得
	let trs = $("td" + "." + inputID).parent();
	
	//色分け判定に使用する項目のHTML要素を取得
	let tds = $("td" + "." + inputID);
	
	//案件リストの表示データを1行ずつ確認
	for (var i = 0 ; i<tdCount ; i++ ){
		var tdText = removeCommaCustom(tds[i].innerText);
		
		//色分け判定項目が空欄であるかチェック。空欄でなければ背景色変更処理開始
		if(tdText){
		
			//条件①以上の数値が登録されていれば、背景色を変更
			if(tdText >= condition1){
				trs[i].style.backgroundColor = bgColor1;
				
			//条件②以上の数値が登録されていれば、背景色を変更
			}else if(tdText >= condition2){
				trs[i].style.backgroundColor = bgColor2;
			}
			
		}
	}
});

//カンマを削除
function removeCommaCustom(string) {
    let removed = string.replace(/,/g, '');
    return Number(parseInt(removed, 10));
}